Subject: bug#2350: 23.0.90; compilation-mode inserts output in the wrong location

From: Alan Third <[email-masked]>
Date: Thu, 21 Jan 2016 19:54:35 +0000

Richard M Stallman <[email-masked]> writes:

>     But what isn't clear is whether it's always the right thing to do: it's
>     clear in this particular use of narrow, but there might be other uses of
>     narrow in conjunction with compilation buffers where it would be the
>     wrong thing to do.
>
> I looked at the code, and I think it is clear what to do: make sure
> that narrowing does not prevent insertion at the specified insertion point.
>
> Does this change make it work?

<snip diff>

I can't replicate this behaviour in Emacs 25 and the patch provided in
this email was applied in 2009:

commit 0b508a27360a82763d4d7256b4cd526f9d3514aa
Author: Richard M. Stallman <[email-masked]>
Date:   Mon May 18 16:30:59 2009 +0000

    * progmodes/compile.el (compilation-filter): If inserting at end
    of accessible part of buffer, keep end of output visible.

I believe we can close this bug report.

-- 
Alan Third